package com.hzya.frame.mdm.entity;

import com.hzya.frame.mdm.mdmModuleView.entity.MdmModuleViewEntity;
import com.hzya.frame.mdm.mdmModuleViewButton.entity.MdmModuleViewButtonEntity;
import com.hzya.frame.mdm.mdmModuleViewDetail.entity.MdmModuleViewDetailEntity;

import java.util.List;

public class MdmModuleViewDto {

    private Long mdmCode;
    //模版
    private MdmModuleViewEntity mdmModuleViewEntity;
    //新增
    private List<MdmDbFiledVo> addFiled;
    //修改
    private List<MdmDbFiledVo> editFiled;
    //查看
    private List<MdmDbFiledVo> showFiled;
    //查询
    private List<MdmDbFiledVo> queryFiled;
    //列表
    private List<MdmDbFiledVo> listFiled;
    //按钮
    private List<MdmModuleViewButtonEntity> dbButtonFiled;

    public MdmModuleViewEntity getMdmModuleViewEntity() {
        return mdmModuleViewEntity;
    }

    public void setMdmModuleViewEntity(MdmModuleViewEntity mdmModuleViewEntity) {
        this.mdmModuleViewEntity = mdmModuleViewEntity;
    }

    public List<MdmDbFiledVo> getAddFiled() {
        return addFiled;
    }

    public void setAddFiled(List<MdmDbFiledVo> addFiled) {
        this.addFiled = addFiled;
    }

    public List<MdmDbFiledVo> getEditFiled() {
        return editFiled;
    }

    public void setEditFiled(List<MdmDbFiledVo> editFiled) {
        this.editFiled = editFiled;
    }

    public List<MdmDbFiledVo> getShowFiled() {
        return showFiled;
    }

    public void setShowFiled(List<MdmDbFiledVo> showFiled) {
        this.showFiled = showFiled;
    }

    public List<MdmDbFiledVo> getQueryFiled() {
        return queryFiled;
    }

    public void setQueryFiled(List<MdmDbFiledVo> queryFiled) {
        this.queryFiled = queryFiled;
    }

    public List<MdmDbFiledVo> getListFiled() {
        return listFiled;
    }

    public void setListFiled(List<MdmDbFiledVo> listFiled) {
        this.listFiled = listFiled;
    }

    public Long getMdmCode() {
        return mdmCode;
    }

    public void setMdmCode(Long mdmCode) {
        this.mdmCode = mdmCode;
    }

    public List<MdmModuleViewButtonEntity> getDbButtonFiled() {
        return dbButtonFiled;
    }

    public void setDbButtonFiled(List<MdmModuleViewButtonEntity> dbButtonFiled) {
        this.dbButtonFiled = dbButtonFiled;
    }
}

